Subject: bug#61763: 30.0.50; Image Cache Size growth

From: Manuel Giraud <[email-masked]>
Date: Fri, 24 Feb 2023 21:27:41 +0100

Eli Zaretskii <[email-masked]> writes:

[...]

>> Can you reproduce (if you have time)?
>
> Not sure what I need to reproduce.  I've visited 6 images of 2 MiB
> each and Memory Report says I have 581 MiB in my image cache.
> Meanwhile the memory footprint of the Emacs process is 350 MiB.  Is
> this what you wanted to see?

Ok.  So in the same ballpark.  I thought there was something wrong on my
setup.

Why I think this growth is wrong is because it seems high.  And if I'm
browsing some images in Emacs, I'm getting a "Memory exhausted (restart
Emacs)" message after only 20 or 30 images.
-- 
Manuel Giraud